Bug 1122489 - virt-who rebase
Summary: virt-who rebase
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: virt-who
Version: 7.1
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: Radek Novacek
QA Contact: Li Bin Liu
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-23 11:31 UTC by Radek Novacek
Modified: 2016-12-01 00:33 UTC (History)
5 users (show)

Fixed In Version: virt-who-0.11-1.el7
Doc Type: Rebase: Bug Fixes and Enhancements
Doc Text:
Rebase package(s) to version: 0.11 Highlights, important fixes, or notable enhancements: * remote libvirt support * fix using encrypted passwords * various bugfixes and stability improvements
Clone Of:
Environment:
Last Closed: 2015-03-05 10:23:18 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:0430 normal SHIPPED_LIVE Moderate: virt-who security, bug fix, and enhancement update 2015-03-05 14:52:46 UTC

Description Radek Novacek 2014-07-23 11:31:28 UTC
There is new release of virt-who (0.10) that is already in RHEL-6.6. There are couple of new interesting features that will many customer appreciated, for example:

* support for obtaining host/guest association from multiple machines
* ability to encrypt passwords
* various bugfixes

I suggest to do the rebase in RHEL-7.1 in order to provide better customer experience with virt-who.

Comment 1 Radek Novacek 2014-09-08 14:43:35 UTC
The package has been rebased to virt-who-0.11-1.el7.

Comment 3 Liushihui 2014-12-23 06:44:46 UTC
Verified it on virt-who-0.11-5.el7.noarch.

Version-Release number of selected component (if applicable):
subscription-manager-1.13.12-1.el7.x86_64
python-rhsm-1.13.8-1.el7.x86_64
virt-who-0.11-5.el7.noarch
katello-headpin-1.4.3.28-1.el6sam_splice.noarch
candlepin-0.9.6.5-1.el6sam.noarch

Verified process:
* support for obtaining host/guest association from multiple machines
1 Register system to sam server and configure virt-who to monitor multiple machines(one KVM, one hyperv, two vcenters)
# cat /etc/virt-who.d/virtwho
[test-libvirt]
type=libvirt
server=qemu+ssh://10.66.100.108/system
username=root
password=qwer1234P!
owner=ACME_Corporation
env=Library
[test-hyperv1]
type=hyperv
server=10.66.128.9
username=Administrator
password=qwer1234P
owner=ACME_Corporation
env=Library
[test-esx1]
type=esx
server=10.66.78.75
username=Administrator@vsphere.local
password=qwer1234P!
owner=ACME_Corporation
env=Library
[test-esx2]
type=esx
server=10.66.79.244
username=Administrator@vsphere.local
#encrypted_password=43f282d679adb816f2bb1cf9c18949ec
password=qwer1234P!
owner=ACME_Corporation
env=Library

2. Check the virt-who log under the /var/log/rhsm/rhsm.log.
2014-12-23 14:34:32,495 [DEBUG]  @virtwho.py:83 - Using config named 'test-libvirt'
2014-12-23 14:34:32,495 [DEBUG]  @virtwho.py:83 - Using config named 'test-hyperv1'
2014-12-23 14:34:32,496 [DEBUG]  @virtwho.py:83 - Using config named 'test-esx1'
2014-12-23 14:34:32,496 [DEBUG]  @virtwho.py:83 - Using config named 'test-esx2'
2014-12-23 14:34:32,496 [INFO]  @virtwho.py:460 - Using configuration "test-libvirt" ("libvirt" mode)
2014-12-23 14:34:32,496 [INFO]  @virtwho.py:460 - Using configuration "test-hyperv1" ("hyperv" mode)
2014-12-23 14:34:32,496 [INFO]  @virtwho.py:460 - Using configuration "test-esx1" ("esx" mode)
2014-12-23 14:34:32,496 [INFO]  @virtwho.py:460 - Using configuration "test-esx2" ("esx" mode)
2014-12-23 14:34:32,496 [DEBUG]  @virtwho.py:170 - Starting infinite loop with 10 seconds interval
2014-12-23 14:34:32,525 [DEBUG]  @libvirtd.py:95 - Starting libvirt monitoring event loop
2014-12-23 14:34:32,527 [INFO]  @libvirtd.py:186 - Using libvirt url: qemu+ssh://root@10.66.100.108/system?no_tty=1
2014-12-23 14:34:32,709 [DEBUG]  @libvirtd.py:215 - Virtual machine found: 6.5_Client_i386: afd6165b-3f1b-4719-93df-49c0acd218db
2014-12-23 14:34:32,710 [DEBUG]  @libvirtd.py:215 - Virtual machine found: 5.10_Server_x86_64: ddcee296-d992-4920-a887-4fb4340bef0e
2014-12-23 14:34:32,712 [DEBUG]  @libvirtd.py:215 - Virtual machine found: 6.4_Server_x86_64: e47154da-8ac2-45b0-8f69-df0b7adeaa62
2014-12-23 14:34:32,713 [DEBUG]  @libvirtd.py:215 - Virtual machine found: 7.0_Server_x86_64: 35234657-df03-4a2d-a306-92a5414b3556
2014-12-23 14:34:32,753 [INFO]  @subscriptionmanager.py:119 - Sending update in hosts-to-guests mapping: {'800bb6b8-0ecd-e111-a5b8-a0b3ccf7e5fd': [{'guestId': 'afd6165b-3f1b-4719-93df-49c0acd218db', 'attributes': {'active': 1, 'virtWhoType': 'libvirt', 'hypervisorType': 'QEMU'}, 'state': 1}, {'guestId': 'ddcee296-d992-4920-a887-4fb4340bef0e', 'attributes': {'active': 1, 'virtWhoType': 'libvirt', 'hypervisorType': 'QEMU'}, 'state': 1}, {'guestId': 'e47154da-8ac2-45b0-8f69-df0b7adeaa62', 'attributes': {'active': 1, 'virtWhoType': 'libvirt', 'hypervisorType': 'QEMU'}, 'state': 1}, {'guestId': '35234657-df03-4a2d-a306-92a5414b3556', 'attributes': {'active': 1, 'virtWhoType': 'libvirt', 'hypervisorType': 'QEMU'}, 'state': 1}]}
2014-12-23 14:34:33,053 [DEBUG]  @hyperv.py:208 - Hyper-V url: http://10.66.128.9:5985/wsman
2014-12-23 14:34:33,055 [DEBUG]  @hyperv.py:258 - Using NTLM authentication
2014-12-23 14:34:33,069 [DEBUG]  @hyperv.py:285 - NTLM authentication successful
2014-12-23 14:34:33,074 [DEBUG]  @hyperv.py:325 - Error when enumerating using root/virtualization namespace, trying root/virtualization/v2 namespace
2014-12-23 14:34:33,076 [DEBUG]  @hyperv.py:258 - Using NTLM authentication
2014-12-23 14:34:33,089 [DEBUG]  @hyperv.py:285 - NTLM authentication successful
2014-12-23 14:34:33,109 [INFO]  @subscriptionmanager.py:119 - Sending update in hosts-to-guests mapping: {'60D30E26-6409-0EA6-6C0E-0ED223510F02': ['E2EC00E1-5022-2341-93FF-CD68A7BF0324']}
2014-12-23 14:34:38,396 [INFO]  @subscriptionmanager.py:119 - Sending update in hosts-to-guests mapping: {44454c4c-4200-1034-8039-b8c04f503258: [422929f3-8ade-7dcc-6119-4904c7e1b8eb]}
2014-12-23 14:34:43,938 [INFO]  @subscriptionmanager.py:119 - Sending update in hosts-to-guests mapping: {}

Result:  virt-who send all the host/guest associate to SAM server, Therefore, virt-who support for obtaining host/guest association from multiple machines& multiple mode

* ability to encrypt passwords
1 Register system to sam server and configure virt-who with encrypt passwords
[root@hp-z220-04 virt-who.d]# virt-who-password 
Password: 
Use following as value for encrypted_password key in the configuration file:
13b4579647974588b1ea4ee6a9913737

[root@hp-z220-04 virt-who.d]#cat /etc/virt-who.d/virtwho
[test-esx2]
type=esx
server=10.66.78.75
username=Administrator@vsphere.local
encrypted_password=13b4579647974588b1ea4ee6a9913737
#password=qwer1234P!
owner=ACME_Corporation
env=Library

2.Check the virt-who log under the /var/log/rhsm/rhsm.log.
2014-12-23 14:43:08,008 [DEBUG]  @virtwho.py:83 - Using config named 'test-esx2'
2014-12-23 14:43:08,008 [INFO]  @virtwho.py:460 - Using configuration "test-esx2" ("esx" mode)
2014-12-23 14:43:08,008 [DEBUG]  @virtwho.py:170 - Starting infinite loop with 10 seconds interval
2014-12-23 14:43:13,127 [INFO]  @subscriptionmanager.py:119 - Sending update in hosts-to-guests mapping: {44454c4c-4200-1034-8039-b8c04f503258: [422929f3-8ade-7dcc-6119-4904c7e1b8eb]}
2014-12-23 14:43:13,838 [INFO]  @virtwho.py:164 - Created host: 16cc06e1-7926-4bf6-be98-45bbe5e71a0d with guests: [422929f3-8ade-7dcc-6119-4904c7e1b8eb]

Result: virt-who send the host/guest associate to SAM server, it support encrypt passwords.

Comment 5 errata-xmlrpc 2015-03-05 10:23:18 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-0430.html


Note You need to log in before you can comment on or make changes to this bug.